﻿function loadPdfViewer(selector) {
    var viewer = new DsPdfViewer(selector, { /* Specify options here */ });
    viewer.addDefaultPanels();

    React = viewer.getType('React');
    viewer.toolbar.addItem({
        key: 'custom-alert',
        text: 'Alert',
        //icon: {
        //    type: 'svg',
        //    content: React.createElement('svg', {
        //        xmlns: 'http://www.w3.org/2000/svg',
        //        version: '1.1',
        //        width: '24',
        //        height: '24',
        //        viewBox: '0 0 24 24',
        //        fill: '#ff0000'
        //    }, React.createElement('path', {
        //        d: 'M20.913 9.058c0.057-0.26 0.087-0.531 0.087-0.808 0-2.071-1.679-3.75-3.75-3.75-0.333 0-0.657 0.044-0.964 0.125-0.581-1.813-2.28-3.125-4.286-3.125-2.047 0-3.775 1.367-4.32 3.238-0.533-0.155-1.097-0.238-1.68-0.238-3.314 0-6 2.686-6 6s2.686 6 6 6h3v4.5h6v-4.5h5.25c2.071 0 3.75-1.679 3.75-3.75 0-1.845-1.333-3.379-3.087-3.692zM13.5 15v4.5h-3v-4.5h-3.75l5.25-5.25 5.25 5.25h-3.75z'
        //    }))
        //},
        icon: {
            type: 'png',
            content: React.createElement('img', {
                src: '../assets/alert.png', // Replace with the path to your PNG file
                alt: 'Alert Icon',
                style: { width: '24px', height: '24px' } // Ensure proper sizing
            })
        },
        title: 'Alert User',
        enabled: true,
        action: function () {
            alert("A textual button is just clicked");
        },
        onUpdate: function () {
            return {
                title: 'Alert User'
            };
        }
    });

    // Insert 'custom-alert' item into toolbar layout:
    viewer.toolbarLayout.viewer.default.splice(0, 0, 'custom-alert');
    viewer.toolbarLayout.viewer.mobile.splice(0, 0, 'custom-alert');
}